Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1424112 - pure-ftpd: FTBFS in rawhide
Summary: pure-ftpd: FTBFS in rawhide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pure-ftpd
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1383740 F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 15:57 UTC by Fedora Release Engineering
Modified: 2017-09-14 09:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-14 09:44:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2017-02-17 15:57 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2017-02-17 15:57 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2017-02-17 15:57 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 15:57:11 UTC
Your package pure-ftpd failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17783061

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 15:57:15 UTC
Created attachment 1253634 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 15:57:19 UTC
Created attachment 1253635 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 15:57:21 UTC
Created attachment 1253636 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 11:57:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Petr Pisar 2017-07-12 06:11:18 UTC
This is caused by OpenSSL 1.1 that changed API:

tls.c: In function 'tls_init_dhparams_default':
tls.c:111:7: error: dereferencing pointer to incomplete type 'DH {aka struct dh_st}'
     dh->p = BN_bin2bn(RFC3526_PRIME_2048, sizeof RFC3526_PRIME_2048, NULL);
       ^~

Comment 6 Harald Reindl 2017-07-12 09:28:51 UTC
and why in the world is the latest failed build pure-ftpd-1.0.42-5.fc26 when 1.0.46 is current and the upstream changelog contains "Version 1.0.46:
 - The server can now be linked against OpenSSL 1.1.x with the strict API"

WTF - you can not ignore 4 upstream bugfix releases and than wonder "uhm the outdated stuff where i would have just needed to download a new tarball don#t build" - that said from someone maintain it at it's own

[harry@rh:~]$ rpm -q --changelog pure-ftpd
* Di Mai 02 2017 Reindl Harald <h.reindl>
- update auf 1.0.46

* Mi Feb 01 2017 Reindl Harald <h.reindl>
- update auf 1.0.45

* Di Jan 03 2017 Reindl Harald <h.reindl>
- update auf 1.0.44
- remove default config files from package
- change systemd-unit to directly start the binary and use type 'simple' instead 'forking'

* Mo Aug 01 2016 Reindl Harald <h.reindl>
- update auf 1.0.43

* Do Aug 06 2015 Reindl Harald <h.reindl>
- update auf 1.0.42

* Do Apr 23 2015 Reindl Harald <h.reindl>
- update auf 1.0.37

* Di Jun 18 2013 Reindl Harald <h.reindl>
- removed unused binaries from package

* Mi Okt 24 2012 Reindl Harald <h.reindl>
- remove FUCKING "/etc/pam.d/pure-ftpd" which
  breaks login of unix-users on Fedora 17

* Mo Jan 09 2012 Reindl Harald <h.reindl>
- security-build
- remove unused options from build
- update auf 1.0.35

Comment 7 Upstream Release Monitoring 2017-08-14 14:05:30 UTC
thozza's pure-ftpd-1.0.46-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=954923


Note You need to log in before you can comment on or make changes to this bug.